function y=ariane5(u);


% ******************************************************************
% u est la variable d'entre  5 composantes:
%  u(1)=VR
%  u(2)=beta
%  u(3)=Z
%  u(4)=X
%  u(5)=t

% En sortie y est le vecteur (5-1) des drives

% ********************************************************************
% *****************   CALCULS INTERMEDIAIRES  **********************

VR=u(1);beta=u(2);Z=u(3);X=u(4);tps=u(5);

% Pousse,  l'aide de la fonction y=poussee(t)

F=poussee(u);

% Masse,  l'aide de la fonction y=masse(t)

M=masse(tps);

% Assiette de monte teta,  l'aide de la fonction y=assiette(t)

teta=assiette(u);

% Gravitation, rotation terre

G=39.86e13/(6378000+Z)^2;
wT=2*pi/86164;
VT=wT*(6378000+Z);

% Trane, avec la fonction y=trainee(VR,CX,Z);

RX=trainee(u);

% ******************************************************************
% ************** DERIVEES DU SYSTEME DIFFERENTIEL ******************

% Variable Z, facile

 d3=VR*sin(beta);

% Variable beta
if tps<=20,
 d2=0;
else
 d2=(F/M*sin(teta-beta)-G*cos(beta))/VR+2*wT+wT*(VR/VT+VT/VR)*cos(beta);
end

% Variable VR

 d1=F/M*cos(teta-beta)-(G-wT*VT)*sin(beta)-RX/M;

% Variable X

 d4=(VR*cos(beta))*6378000/(6378000+Z);

% **********************  FIN DES DERIVEES  ************************

y=[d1;d2;d3;d4];


end

% ********************  FIN  FIN   FIN   FIN   *********************