function y=masse(t);

Mu=5200; % Masse utile
MC=1750; % Masse coiffe
Mcase=1460; % Masse de la case  quipements

% Le temps 0 de vol correspond  7 s aprs le compte  rebours, le moteur EPC est allum 7 secondes avant le dcollage

% ***********  ETAGE CENTRAL CRYOTECHNIQUE EPC  ***********

MP_EPC=158400;
MT_EPC=171000; % Au lieu de 170750
MS_EPC=MT_EPC-MP_EPC;
ISP_EPC_VIDE=431.2*9.81;ISP_EPC_SOL=334.15*9.81;
TC_EPC=589;
% poussee_EPC_vide=1145e3;
% Dbit EPC
q_EPC=158400*2/(TC_EPC+(TC_EPC-7)); % Donc 271 kg/s

% ****************** FIN EPC ****************************
% *************** EAP, PAR UNITE  ***********************

MP_EAP=237000;
MT_EAP=270000;
MS_EAP=MT_EAP-MP_EAP;
ISP_EPC_VIDE=310.5*9.81;
ISP_EPC_SOL=260*9.81;
TC_EAP=130;
Temps_montee=40;
% pousse_EAP_sol=5300e3;  % en Newtons
% Dbit EAP
q_EAP=237000*2/(115+130); % Soit 1934.7 kg/s

% ******************  FIN EAP  *************************
% ************** ETAGE HM7 D'ARIANE 4 *****************

MP_HM7=13996.8;
MS_HM7=0.118*MP_HM7;
MT_HM7=MP_HM7+MS_HM7;
ISP_HM7_VIDE=446*9.81;
TC_HM7=972;
q_HM7=MP_HM7/TC_HM7; % 14.4 kg/s
Poussee_HM7=63e3;

% *******************  FIN EPS  ***********************

% ---------------  DEBUT DES CALCULS ------------------

M01=MT_HM7+2*MT_EAP+MT_EPC-3.5*q_EPC+Mu+MC+Mcase; % masse au dcollage
tps=t;

if tps<7 & tps>=0,
  massevol=MT_EPS+2*MT_EAP+MT_EPC+Mu+MC+Mcase;
end

if 7<=tps & tps<=105,
  massevol=M01-(q_EPC+q_EAP*2)*(tps-7);
end

M_105_plus=M01-(q_EPC+q_EAP*2)*(105-7);

if 105<tps & tps<=122,
  massevol=M_105_plus-(q_EPC+2*q_EAP)*(tps-105); % Vol sans coiffe
end

M_122_plus=M_105_plus-(q_EPC+q_EAP*2)*(122-105);

% Vol avec queue de pousse des EAP

if 122<tps & tps<=137, 
  massevol=M_122_plus-q_EPC*(tps-122)-q_EAP*((t-122)-(t-122)^2/15); 
end

M_137_plus=M_122_plus-q_EPC*(137-122)-2*q_EAP*15/2;

if 137<tps & tps<=139,
    massevol=M_137_plus-q_EPC*(tps-137); % Vol avec EPC seul et EAP teints
end

M_139_plus=M_137_plus-q_EPC*(139-137)-2*MS_EAP; % largage des EAP

if 139<tps & tps<=192,
  massevol=M_139_plus-q_EPC*(tps-139);
end

if 192<tps & tps<=589,
  massevol=M_139_plus-q_EPC*(tps-139)-MC; % Coiffe largue
end
% ************************************************************
M_589_plus=M_139_plus-q_EPC*(589-139)-MC; % Arrt EPC

if 589<tps & tps<=592,
  massevol=M_589_plus; % Vol sans moteur avant largage EPC
end

M_592_plus=M_589_plus-MS_EPC;  % Largage de la structure EPC

if 592<tps & tps<=599,
  massevol=M_592_plus; % Vol sans moteur avant allumage EPS
end

M_599_plus=M_592_plus;

% Vol avec HM7 seul

if 599<tps & tps<=1571,
  massevol=M_599_plus-q_HM7*(tps-599); % Vol avec HM7
end

y=massevol;

end

%  ******  PROGRAMME VERIFIE CORRECT ****************** AU POINT ************