function y=apogee(u);

% Cette fonction calcule l'apoge et arr^ete le moteur EPS quand l'orbite GTO devient % accessible 

% Variable d'entre u
%  u(1)=VR
%  u(2)=beta
%  u(3)=Z
%  u(4)=X
%  u(5)=t

VR=u(1);beta=u(2);Z=u(3);VT=2*pi/86164*(6378000+Z);

  Va=(VR^2+VT^2+2*VR*VT*cos(beta))^0.5;
  ga=asin(VR*sin(beta/Va));
  E=0.5*Va^2-39.86e13/(6378000+Z); % Energie
  K=Va*(6378000+Z)*cos(ga);        % Constante des aires
  exc=(1+2*E*K^2/39.86e13^2)^0.5;
  demiaxe=-39.86e13/2/E;
  perigee_sol=demiaxe*(1-exc)/1000-6378;
  apogee_abs=demiaxe*(1+exc)/1000;
 
 
y=[perigee_sol;apogee_abs];

end

% *************************  FIN PROGRAMME   ****************
