function y=poussee(u);

% u variable d'entre vaut:
%  u(1)=VR
%  u(2)=gam
%  u(3)=beta
%  u(4)=Z
%  u(5)=L
%  u(6)=lamb
%  u(7)=temps

Z=u(4);t=u(7);

% Cette fonction dtaille l'volution de la pousse au cours du vol

% t est le temps de la chronologie, avec dcollage  7 secondes
% Z est l'altitude  donner en mtres.

% ***********  ETAGE CENTRAL CRYOTECHNIQUE EPC  ***********

MP_EPC=158400;
MT_EPC=170750;
MS_EPC=MT_EPC-MP_EPC;
ISP_EPC_VIDE=431.2*9.81;ISP_EPC_SOL=334.15*9.81;
TC_EPC=589;
poussee_EPC_vide=1145e3;poussee_EPC_sol=885e3;
% Dbit EPC
q_EPC=158400*2/(TC_EPC+(TC_EPC-7)); % Donc 271 kg/s

 poussee_EPC_vide=1100e3;poussee_EPC_sol=840e3; % ATTENTION

% ****************** FIN EPC ****************************
% *************** EAP, PAR UNITE  ***********************

MP_EAP=237000;
MT_EAP=270000;
MS_EAP=MT_EAP-MP_EAP;
ISP_EPC_VIDE=310.5*9.81;
ISP_EPC_SOL=260*9.81;
TC_EAP=130;
Temps_montee=40;
% poussee_EAP_sol=5300e3;  % en Newtons
% Dbit EAP
q_EAP=237000*2/(115+130); % Soit 1934.7 kg/s
poussee_EAP_sol=5100e3;  % en Newtons ATTENTION


% ******************  FIN EAP  *************************

% ********* ETAGE A PROPERGOLS STOKABLES EPS ***********

MS_EPS=1240;
MP_EPS=9700;
MT_EPS=MP_EPS+MS_EPS;
ISP_EPS_VIDE=321*9.81;
TC_EPS=1100;
q_EPS=MP_EPS/TC_EPS;
Poussee_EPS=27.8e3;

% *******************  FIN EPS  ***********************

F_EPC=poussee_EPC_vide-(poussee_EPC_vide-poussee_EPC_sol)*pression(Z)/pression(0);
F_EAP=poussee_EAP_sol;
F_EPS=Poussee_EPS;

if t>=0 & t<7,  % Le lanceur est maintenu au sol
 F=0;
end
% Fonctionnement en parallle des EAP (pleine pousse durant 115 s) et de l'EPC
if t>=7 & t<=122, 
 F=F_EPC+2*F_EAP;
end
% Fonctionnement en queue de pousse EAP, durant 15 secondes
if t>=122 & t<=137,
 F=F_EPC-2*F_EAP*(t-137)/15;
end
% Reste l'EPC seul jusqu' son extinction
if t>137 & t<=589,
 F=F_EPC;
end
% Phase intertages
if t>589 & t<=599,
 F=0;
end
% Fonctionnement EPS seul jusqu' l'injection
if t>599 & t<=1699,
 F=F_EPS;
end
% Ergols puiss
if t>1699,
 F=0;
end

y=F;


% **************** FIN PROGRAMME  ****************** AU POINT  ******************
