function y=stop_gto(u);

% Cette fonction calcule l'apoge et arr^ete le moteur EPS quand l'orbite GTO devient % accessible 

%  u(1)=VR   vitesse relative
%  u(2)=gam  pente relative
%  u(3)=beta azimut relatif
%  u(4)= Z   rayon vecteur 
%  u(5)= L   longitude terrestre
%  u(6)= lamb   latitude terrestre 
%  u(7)= t   temps de vol ou temps machine

VR=u(1);gam=u(2);beta=u(3);Z=u(4);VT=2*pi/86164*(6378000+Z);

% Valeur de sortie y=1 si l'apoge gostationnaire est atteint

  test=0;

  Va=(VR^2+VT^2+2*VR*VT*cos(gam))^0.5;
  ga=asin(VR*sin(gam/Va));
  E=0.5*Va^2-39.86e13/(6378000+Z); % Energie
  K=Va*(6378000+Z)*cos(gam);        % Constante des aires
  exc=(1+2*E*K^2/39.86e13^2)^0.5;
  demiaxe=-39.86e13/2/E;
  perigee_sol=demiaxe*(1-exc)/1000-6378;
  apogee_abs=demiaxe*(1+exc)/1000;
   
 if apogee_abs>=42164,
  test=1;
 end

y=test;

end

% *************************  FIN PROGRAMME   ****************
